use crate::stack::StackVec;

pub fn add(memory: &mut StackVec) {
    let a: u16 = memory.pop();
    let b: u16 = memory.pop();

    memory.push(a + b);
}

pub fn sub(memory: &mut StackVec) {
    let a: u16 = memory.pop();
    let b: u16 = memory.pop();

    memory.push(b - a);
}

pub fn mul(memory: &mut StackVec) {
    let a: u16 = memory.pop();
    let b: u16 = memory.pop();

    memory.push(b * a);
}

pub fn div(memory: &mut StackVec) {
    let a: u16 = memory.pop();
    let b: u16 = memory.pop();

    memory.push(b / a);
}

pub fn modulo(memory: &mut StackVec) {
    let a: u16 = memory.pop();
    let b: u16 = memory.pop();

    memory.push(b % a);
}
