#[cfg(target_family = "unix")]
use crate::stack::StackVec;
#[cfg(target_family = "unix")]
use std::fs::File;
#[cfg(target_family = "unix")]
use std::io::Read;

#[cfg(target_family = "unix")]
pub fn _unix_random(memory: &mut StackVec) {
    let mut rng = File::open("/dev/urandom").unwrap();

    let mut buffer = [0u8; 2];
    rng.read_exact(&mut buffer).unwrap();

    let data = memory.pop();
    memory.push((u16::from_ne_bytes(buffer)) % (data - 1));
}
